Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.kernel.spi.dependency
Interface KernelControllerContextAware

public interface KernelControllerContextAware

A KernelControllerContextAware.

Version:
  $Revision: 1.3 $
Author:
  Adrian Brock

Method Summary
`void` | `setKernelControllerContext(KernelControllerContext context)` Set the controller context.
`void` | `unsetKernelControllerContext(KernelControllerContext context)` Unset the controller context.

Method Detail

### setKernelControllerContext

    public void setKernelControllerContext(KernelControllerContext context)
                                    throws Exception

  Set the controller context.

  This is invoked after construction with the controller context.

  WARNING: This protocol is subject to change with the classadapter implementation.

  Parameters:
    `context` - the context
  Throws:
    `Exception` - for any error

### unsetKernelControllerContext

    public void unsetKernelControllerContext(KernelControllerContext context)
                                      throws Exception

  Unset the controller context.

  This is before uninstallation with null.

  WARNING: This protocol is subject to change with the classadapter implementation.

  Parameters:
    `context` - the context
  Throws:
    `Exception` - for any error

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.